MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024737Open CASCADE[OCCT] OCCT:Codingpublic2014-03-19 14:132014-11-11 12:51
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024737: Coding - remove "br" tags from header files
DescriptionRedundant occurrences of "br" tag should be removed.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024557closedkgv Improve formatting of HXX files generated by WOK 
child of 0024002closedabv Overall code and build procedure refactoring 

-  Notes
(0028354)
kgv (developer)
2014-03-19 15:37

Patch is ready for review in branch CR24737.
(0028364)
abv (manager)
2014-03-19 17:14

Looks fine, please test. I have added one more commit to the same branch, removing other #ifdefs around #includes, in line with fix made in WOK for 0024557
(0028387)
mkv (tester)
2014-03-20 11:55

Dear BugMaster,

Branch CR24737 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: f4e6d01e35c111f656706f8ef237925d9ad540c5

Number of compiler warnings:

occt component :
Linux: 30 (30 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 384987576 / 386215740
Total CPU difference: 64392.07999999964 / 48827.5

Testing on Windows:
Total MEMORY difference: 431005228 / 430913404
Total CPU difference: 31832.109375 / 35761.53125

There are no differences in images found by testdiff.

- Related Changesets
occt: master ebc93ae7
Timestamp: 2014-03-20 10:12:12
Author: kgv
Committer: bugmaster
Details ] Diff ]
0024737: Coding - remove
tag from header files

Eliminate #ifdefs around #includes, some unnecessary includes and macros
mod - src/AdvApp2Var/AdvApp2Var_Data.hxx Diff ] File ]
mod - src/AdvApp2Var/AdvApp2Var_EvaluatorFunc2Var.hxx Diff ] File ]
mod - src/AdvApprox/AdvApprox_EvaluatorFunction.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireSplitter.lxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfIntegerInteger.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfIntegerListOfInteger.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfIntegerListOfShape.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfIntegerMapOfInteger.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfIntegerReal.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfIntegerShape.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfShapeAddress.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfShapeInteger.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfShapeListOfShape.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfShapeShape.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_DataMapOfTransientAddress.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_IndexedDataMapOfIntegerListOfInteger.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_IndexedDataMapOfShapeBox.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_IndexedDataMapOfShapeInteger.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_IndexedDataMapOfShapeListOfShape.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_IndexedMapOfInteger.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_IndexedMapOfShape.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_ListOfInteger.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_MapOfInteger.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_MapOfOrientedShape.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_MapOfShape.hxx Diff ] File ]
mod - src/BOPCol/BOPCol_VectorOfInteger.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_DataMapOfIntegerListOfPaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_DataMapOfPassKeyListOfPaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_DataMapOfPaveBlockCommonBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_DataMapOfPaveBlockListOfInteger.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_DataMapOfPaveBlockListOfPaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_DataMapOfShapeCoupleOfPaveBlocks.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_IndexedDataMapOfPaveBlockListOfInteger.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_IndexedDataMapOfPaveBlockListOfPaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_IndexedDataMapOfShapeCoupleOfPaveBlocks.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_IndexedMapOfPaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_Interf.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_MapOfCommonBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_MapOfPassKey.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_MapOfPassKeyBoolean.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_MapOfPave.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_MapOfPaveBlock.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_ConnexityBlock.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_DataMapOfShapeSet.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_MapOfSet.hxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_BndBoxTreeSelector.hxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_CellFilter.hxx Diff ] File ]
mod - src/BRepBuilderAPI/BRepBuilderAPI_VertexInspector.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_DistanceSS.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_DistShapeShape.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtCC.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtCF.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtFF.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtPC.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_ExtPF.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_Poly.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_SeqOfSolution.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_SolutionElem.hxx Diff ] File ]
mod - src/BRepExtrema/BRepExtrema_SupportType.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Delaun.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_PluginEntryType.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Status.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VectorOfVertex.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexCellFilter.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexInspector.hxx Diff ] File ]
mod - src/BRepPrim/BRepPrim_OneAxis.hxx Diff ] File ]
mod - src/BRepSweep/BRepSweep_NumLinearRegularSweep.hxx Diff ] File ]
mod - src/BSplCLib/BSplCLib_EvaluatorFunction.hxx Diff ] File ]
mod - src/DBC/DBC_BaseArray_objs.hxx Diff ] File ]
mod - src/DBC/DBC_DBVArray.hxx Diff ] File ]
mod - src/DDF/DDF_IOStream.hxx Diff ] File ]
mod - src/Draw/Draw_Main.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Camera.hxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_Vertex.hxx Diff ] File ]
mod - src/IntAna2d/IntAna2d_Outils.hxx Diff ] File ]
mod - src/IntImp/IntImp_ZerParFunc.lxx Diff ] File ]
mod - src/IntImpParGen/IntImpParGen_Tool.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfCouples.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfEdges.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfPoints.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfSectionLines.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfStartPoints.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfTangentZones.hxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_ArrayOfTriangles.hxx Diff ] File ]
mod - src/IntSurf/IntSurf_Quadric.lxx Diff ] File ]
mod - src/IntWalk/IntWalk_IWLine.lxx Diff ] File ]
mod - src/MeshVS/MeshVS_TwoColors.hxx Diff ] File ]
mod - src/Message/Message_Messenger.lxx Diff ] File ]
mod - src/NIS/NIS_InteractiveContext.hxx Diff ] File ]
mod - src/NIS/NIS_InteractiveObject.hxx Diff ] File ]
mod - src/NIS/NIS_SelectFilter.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_AVIWriter.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff ] File ]
mod - src/Poly/Poly_CoherentTriangulation.hxx Diff ] File ]
mod - src/Standard/Handle_Standard_Persistent.hxx Diff ] File ]
mod - src/Standard/Handle_Standard_Transient.hxx Diff ] File ]
mod - src/Standard/Standard_Address.hxx Diff ] File ]
mod - src/Standard/Standard_Boolean.cxx Diff ] File ]
mod - src/Standard/Standard_Character.cxx Diff ] File ]
mod - src/Standard/Standard_DefineHandle.hxx Diff ] File ]
mod - src/Standard/Standard_ExtCharacter.cxx Diff ] File ]
mod - src/Standard/Standard_ExtString.hxx Diff ] File ]
mod - src/Standard/Standard_Integer.cxx Diff ] File ]
mod - src/Standard/Standard_Integer.hxx Diff ] File ]
mod - src/Standard/Standard_IStream.hxx Diff ] File ]
mod - src/Standard/Standard_MMgrOpt.hxx Diff ] File ]
mod - src/Standard/Standard_MMgrRaw.hxx Diff ] File ]
mod - src/Standard/Standard_MMgrRoot.hxx Diff ] File ]
mod - src/Standard/Standard_MMgrTBBalloc.hxx Diff ] File ]
mod - src/Standard/Standard_OId.hxx Diff ] File ]
mod - src/Standard/Standard_OStream.hxx Diff ] File ]
mod - src/Standard/Standard_Persistent_proto.hxx Diff ] File ]
mod - src/Standard/Standard_PrimitiveTypes.hxx Diff ] File ]
mod - src/Standard/Standard_Real.cxx Diff ] File ]
mod - src/Standard/Standard_Real.hxx Diff ] File ]
mod - src/Standard/Standard_ShortReal.cxx Diff ] File ]
mod - src/Standard/Standard_ShortReal.hxx Diff ] File ]
mod - src/Standard/Standard_SStream.hxx Diff ] File ]
mod - src/Standard/Standard_Stream.hxx Diff ] File ]
mod - src/Standard/Standard_Time.hxx Diff ] File ]
mod - src/Standard/Standard_Transient.hxx Diff ] File ]
mod - src/Standard/Standard_Transient_proto.hxx Diff ] File ]
mod - src/Standard/Standard_TypeDef.hxx Diff ] File ]
mod - src/TColStd/TColStd_PackedMapOfInteger.hxx Diff ] File ]
mod - src/TDF/TDF_AttributeIterator.hxx Diff ] File ]
mod - src/V3d/V3d_Plane.hxx Diff ] File ]
mod - src/WNT/FILES Diff ] File ]
rm - src/WNT/WNT_Dword.cxx Diff ] File ]
rm - src/WNT/WNT_Uint.cxx Diff ] File ]
rm - src/WNT/WNT_WindowData.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-19 14:13 kgv New Issue
2014-03-19 14:13 kgv Assigned To => kgv
2014-03-19 14:13 kgv Relationship added related to 0024557
2014-03-19 14:13 kgv Relationship added child of 0024002
2014-03-19 14:14 kgv Status new => assigned
2014-03-19 14:14 kgv Product Version => 6.7.0
2014-03-19 15:37 kgv Note Added: 0028354
2014-03-19 15:37 kgv Assigned To kgv => abv
2014-03-19 15:37 kgv Status assigned => resolved
2014-03-19 17:14 abv Note Added: 0028364
2014-03-19 17:14 abv Assigned To abv => kgv
2014-03-19 17:14 abv Status resolved => reviewed
2014-03-19 17:14 abv Summary Coding - remove
tags from header files => Coding - remove "br" tags from header files
2014-03-19 17:14 abv Description Updated View Revisions
2014-03-19 19:11 mkv Assigned To kgv => mkv
2014-03-20 11:55 mkv Note Added: 0028387
2014-03-20 11:56 mkv Test case number => Not needed
2014-03-20 11:56 mkv Assigned To mkv => bugmaster
2014-03-20 11:56 mkv Status reviewed => tested
2014-03-21 16:18 bugmaster Changeset attached => occt master ebc93ae7
2014-03-21 16:18 bugmaster Status tested => verified
2014-03-21 16:18 bugmaster Resolution open => fixed
2014-04-04 11:54 abv Target Version 6.7.1 => 6.8.0
2014-11-11 12:47 aiv Fixed in Version => 6.8.0
2014-11-11 12:51 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker